View Issue Details

IDProjectCategoryView StatusLast Update
0012850ScribusStory Editor / Text Framespublic2014-12-26 15:59
ReporterFirasH Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSopenSUSEOS Version13.1
Product Version1.5.0svn 
Target VersionFixed in Version1.5.0svn 
Summary0012850: Label of "Anchor Marks" is not updated after editing it
DescriptionLabel of "Anchor Marks" is not updated after editing it.
Steps To Reproduce0) Create a new document
1) Insert a Text Frame
2) Double-click on the Text Frame to enable text editing
3) Go to: Insert > Marks > Anchor Marks (choose a Label)
4) Go to: Edit > Marks...
5) Edit the Mark added in step 3 (change Label > OK)

The Label is not updated until a new Mark is added or the same Mark is double-clicked from Marks Manager.
Additional Information1.5.0.svn (19658)
TagsNo tags attached.
PatchYes

Relationships

child of 0012496 acknowledged Metabug: Marks & Footnotes & Weld (1.5.0.svn) 

Activities

FirasH

2014-12-13 23:46

developer  

12850-Patch.diff (462 bytes)
Index: scribus/scribus.cpp
===================================================================
--- scribus/scribus.cpp	(revisione 19663)
+++ scribus/scribus.cpp	(copia locale)
@@ -9639,6 +9639,7 @@
				{
					getUniqueName(label,doc->marksLabelsList(mrk->getType()), "_"); //FIX ME here user should be warned that inserted mark`s label was changed
					mrk->label = label;
+					emit UpdateRequest(reqMarksUpdate);
				}
				break;
			case MARKVariableTextType:
12850-Patch.diff (462 bytes)

FirasH

2014-12-13 23:47

developer   ~0034289

I built the patch and seems working correctly.

jghali

2014-12-26 13:12

administrator   ~0034315

Applied, thanks!

FirasH

2014-12-26 15:59

developer   ~0034318

Thanks jghali!

Issue History

Date Modified Username Field Change
2014-12-13 23:16 FirasH New Issue
2014-12-13 23:16 FirasH Relationship added child of 0012496
2014-12-13 23:46 FirasH File Added: 12850-Patch.diff
2014-12-13 23:47 FirasH Patch No => Yes
2014-12-13 23:47 FirasH Note Added: 0034289
2014-12-26 13:12 jghali Note Added: 0034315
2014-12-26 13:12 jghali Status new => resolved
2014-12-26 13:12 jghali Fixed in Version => 1.5.0svn
2014-12-26 13:12 jghali Resolution open => fixed
2014-12-26 13:12 jghali Assigned To => jghali
2014-12-26 15:59 FirasH Note Added: 0034318
2014-12-26 15:59 FirasH Status resolved => closed
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames